Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class CalRGBColor

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.Color<PdfArray>
              org.pdfclown.documents.contents.colorSpaces.LeveledColor
                  org.pdfclown.documents.contents.colorSpaces.CalRGBColor

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class CalRGBColor

extends LeveledColor

CIE-based red-green-blue color value [PDF:1.6:4.5.4].

Since:
  0.1.0
Version:
  0.1.2, 02/04/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static CalRGBColor` | `Black`
`static CalRGBColor` | `Default`
`static CalRGBColor` | `White`

Constructor Summary
`CalRGBColor(double r, double g, double b)`

Method Summary
`Object` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`double` | `getB()` Gets the blue component.
`double` | `getG()` Gets the green component.
`double` | `getR()` Gets the red component.
`void` | `setB(double value)`
`void` | `setG(double value)`
`void` | `setR(double value)`

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.LeveledColor
`equals, getComponents, getComponentValue, hashCode, setComponentValue`

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.Color
`getColorSpace, normalizeComponent`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Black

    public static final CalRGBColor Black

### White

    public static final CalRGBColor White

### Default

    public static final CalRGBColor Default

Constructor Detail

### CalRGBColor

    public CalRGBColor(double r,
                       double g,
                       double b)

Method Detail

### clone

    public Object clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfArray>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getB

    public double getB()

  Gets the blue component.

### getG

    public double getG()

  Gets the green component.

### getR

    public double getR()

  Gets the red component.

### setB

    public void setB(double value)

  See Also:
    `getB()`

### setG

    public void setG(double value)

  See Also:
    `getG()`

### setR

    public void setR(double value)

  See Also:
    `getR()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.